Update a contact
curl -X PATCH "https://api.talkturo.com/api/crm/contacts/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-d '{
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string"
}'
import requests
import json
url = "https://api.talkturo.com/api/crm/contacts/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json"
}
data = {
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/crm/contacts/123e4567-e89b-12d3-a456-426614174000", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string"
}`)
req, err := http.NewRequest("PATCH", "https://api.talkturo.com/api/crm/contacts/123e4567-e89b-12d3-a456-426614174000", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/crm/contacts/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string"
}'
response = http.request(request)
puts response.body
{
"success": true,
"contact": {
"id": "example_string",
"first_name": "John Doe",
"last_name": "John Doe",
"email": "user@example.com",
"phone": "+1-555-0123",
"company_id": "example_string",
"job_title": "example_string",
"lead_source": "example_string"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/crm/contacts/{id}Target server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Contact ID
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
Contact ID